=begin pod

=TITLE class Enum

    class Enum does Associative { ... }

An C<Enum> consists of a key and a value. It is the immutable version of
C<Pair> (which inherits from Enum).

=head1 Methods

=head2 key

    multi method key(Enum:D:)

Returns the key part of the Enum.

=head2 value

    multi method value(Enum:D:)

Returns the value part of the Enum.

=head2 invert

    multi method invert(Enum:D:) returns Enum:D

Returns a new C<Enum> with the original enum's value as the key, and the
original enum's key as value.

=end pod
